<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs For Class Batch</title>
			<link rel="stylesheet" href="../../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="class-name"><img src="../../media/images/Class_logo.png"
														alt=" Class"
														title=" Class"
														style="vertical-align: middle"> Batch</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
													<a href="#sec-var-summary">Vars</a> (<a href="#sec-vars">details</a>)
						|											<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
						
					</div>
	<div class="info-box-body">
        		<!-- ========== Info from phpDoc block ========= -->
		<p class="notes">
			Located in <a class="field" href="_inc---action---process---batch-update.php.html">/inc/action/process/batch-update.php</a> (line <span class="field">33</span>)
		</p>
		
				
		<pre></pre>
	
			</div>
</div>



	<a name="sec-var-summary"></a>
	<div class="info-box">
		<div class="info-box-title">Variable Summary</span></div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
						<span class="disabled">Vars</span> (<a href="#sec-vars">details</a>)
							| 
									<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
							
								</div>
		<div class="info-box-body">
			<div class="var-summary">
																																																																																								<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$batchcode" title="details" class="var-name">$batchcode</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$docrec" title="details" class="var-name">$docrec</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$docsql" title="details" class="var-name">$docsql</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$documentcode" title="details" class="var-name">$documentcode</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$ic" title="details" class="var-name">$ic</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$icdoc" title="details" class="var-name">$icdoc</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$month_cache" title="details" class="var-name">$month_cache</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$successful" title="details" class="var-name">$successful</a>
				</div>
																<div class="var-title">
					<img src="../../media/images/Variable.png" alt=" " />
					<span class="var-type">mixed</span>
					<a href="#$txncode" title="details" class="var-name">$txncode</a>
				</div>
											</div>
		</div>
	</div>

	<a name="sec-method-summary"></a>
	<div class="info-box">
		<div class="info-box-title">Method Summary</span></div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
																		<a href="#sec-var-summary">Vars</a> (<a href="#sec-vars">details</a>)
				 
				|
						<span class="disabled">Methods</span> (<a href="#sec-methods">details</a>)
		</div>
		<div class="info-box-body">			
			<div class="method-summary">
																																																																																																																<div class="method-definition">
					<img src="../../media/images/Constructor.png" alt=" "/>
											<span class="method-result">Batch</span>
										<a href="#Batch" title="details" class="method-name">Batch</a>
											(<span class="var-type">string</span>&nbsp;<span class="var-name">$batchcode</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#AddIntercompany" title="details" class="method-name">AddIntercompany</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$ec</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$month</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$amount</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#AddIntercompanyTransaction" title="details" class="method-name">AddIntercompanyTransaction</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$mth</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$ec</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$ac</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$amt</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$ref</span> = <span class="var-default">null</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$desc</span> = <span class="var-default">null</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#AddTransaction" title="details" class="method-name">AddTransaction</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$tx</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$depth</span> = <span class="var-default">0</span>])
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#CommitDocument" title="details" class="method-name">CommitDocument</a>
										()
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#DoIntercompany" title="details" class="method-name">DoIntercompany</a>
										()
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#FindMatchingIntercompany" title="details" class="method-name">FindMatchingIntercompany</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$entities</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$monthcode</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$ec</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#GetPostingMonth" title="details" class="method-name">GetPostingMonth</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$month</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$date</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#Nextdoc" title="details" class="method-name">Nextdoc</a>
										()
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#SeedIntercompany" title="details" class="method-name">SeedIntercompany</a>
										()
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#StartDocument" title="details" class="method-name">StartDocument</a>
											(<span class="var-type"></span>&nbsp;<span class="var-name">$docrec</span>)
									</div>
																<div class="method-definition">
					<img src="../../media/images/Method.png" alt=" "/>
											<span class="method-result">void</span>
										<a href="#Successful" title="details" class="method-name">Successful</a>
										()
									</div>
											</div>
		</div>
	</div>		

	<a name="sec-vars"></a>
	<div class="info-box">
		<div class="info-box-title">Variables</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
										<a href="#sec-var-summary">Vars</a> (<span class="disabled">details</span>)
						
			
										| 
									<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
							
					</div>
		<div class="info-box-body">
			
<a name="var$batchcode" id="$batchcode"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$batchcode</span>
						(line <span class="line-number">35</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$docrec" id="$docrec"><!-- --></A>
<div class="evenrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$docrec</span>
						(line <span class="line-number">39</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$docsql" id="$docsql"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$docsql</span>
						(line <span class="line-number">40</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$documentcode" id="$documentcode"><!-- --></A>
<div class="evenrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$documentcode</span>
						(line <span class="line-number">36</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$ic" id="$ic"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$ic</span>
						(line <span class="line-number">42</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$icdoc" id="$icdoc"><!-- --></A>
<div class="evenrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$icdoc</span>
						(line <span class="line-number">43</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$month_cache" id="$month_cache"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$month_cache</span>
						(line <span class="line-number">45</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$successful" id="$successful"><!-- --></A>
<div class="evenrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$successful</span>
						(line <span class="line-number">47</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
<a name="var$txncode" id="$txncode"><!-- --></A>
<div class="oddrow">

	<div class="var-header">
		<img src="../../media/images/Variable.png" />
		<span class="var-title">
			<span class="var-type">mixed</span>
			<span class="var-name">$txncode</span>
						(line <span class="line-number">37</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	
	
		
		

</div>
						
		</div>
	</div>
	
	<a name="sec-methods"></a>
	<div class="info-box">
		<div class="info-box-title">Methods</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
															<a href="#sec-var-summary">Vars</a> (<a href="#sec-vars">details</a>)
														<a href="#sec-method-summary">Methods</a> (<span class="disabled">details</span>)
						
		</div>
		<div class="info-box-body">
			<A NAME='method_detail'></A>
<a name="methodBatch" id="Batch"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Constructor.png" />
		<span class="method-title">Constructor Batch</span> (line <span class="line-number">53</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Create a batch</p>
	
	<div class="method-signature">
		<span class="method-result">Batch</span>
		<span class="method-name">
			Batch
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$batchcode</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$batchcode</span><span class="var-description">: The batch number for the batch.</span>			</li>
				</ul>
		
			
	</div>
<a name="methodAddIntercompany" id="AddIntercompany"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">AddIntercompany</span> (line <span class="line-number">127</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Add the amount to the intercompany array for this code / month</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			AddIntercompany
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$ec</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$month</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$amount</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$ec</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$month</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$amount</span>			</li>
				</ul>
		
			
	</div>
<a name="methodAddIntercompanyTransaction" id="AddIntercompanyTransaction"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">AddIntercompanyTransaction</span> (line <span class="line-number">241</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Add a single intercompany transaction to our array</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			AddIntercompanyTransaction
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$mth</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$ec</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$ac</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$amt</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$ref</span> = <span class="var-default">null</span>], [<span class="var-type"></span>&nbsp;<span class="var-name">$desc</span> = <span class="var-default">null</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$mth</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$ec</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$ac</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$amt</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$ref</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$desc</span>			</li>
				</ul>
		
			
	</div>
<a name="methodAddTransaction" id="AddTransaction"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">AddTransaction</span> (line <span class="line-number">301</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Add a transaction to the current document</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			AddTransaction
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$tx</span>, [<span class="var-type"></span>&nbsp;<span class="var-name">$depth</span> = <span class="var-default">0</span>])
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$tx</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$depth</span>			</li>
				</ul>
		
			
	</div>
<a name="methodCommitDocument" id="CommitDocument"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">CommitDocument</span> (line <span class="line-number">397</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">When we've built up all of the transactions for a document, commit it to the database</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			CommitDocument
		</span>
				()
			</div>
	
		
			
	</div>
<a name="methodDoIntercompany" id="DoIntercompany"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">DoIntercompany</span> (line <span class="line-number">147</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Go through the intercompany matrix balancing all that stuff.</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			DoIntercompany
		</span>
				()
			</div>
	
		
			
	</div>
<a name="methodFindMatchingIntercompany" id="FindMatchingIntercompany"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">FindMatchingIntercompany</span> (line <span class="line-number">227</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Find a matching company to exchange the intercompany with</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			FindMatchingIntercompany
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$entities</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$monthcode</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$ec</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$entities</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$monthcode</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$ec</span>			</li>
				</ul>
		
			
	</div>
<a name="methodGetPostingMonth" id="GetPostingMonth"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">GetPostingMonth</span> (line <span class="line-number">270</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Add this transaction and any consequences onto the list to be posted</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			GetPostingMonth
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$month</span>, <span class="var-type"></span>&nbsp;<span class="var-name">$date</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$month</span>			</li>
					<li>
				<span class="var-type"></span>
				<span class="var-name">$date</span>			</li>
				</ul>
		
			
	</div>
<a name="methodNextdoc" id="Nextdoc"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">Nextdoc</span> (line <span class="line-number">90</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Increment the documentcode and return the new doc no</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			Nextdoc
		</span>
				()
			</div>
	
		
			
	</div>
<a name="methodSeedIntercompany" id="SeedIntercompany"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">SeedIntercompany</span> (line <span class="line-number">107</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Seed the intercompany array with any already posted txns</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			SeedIntercompany
		</span>
				()
			</div>
	
		
			
	</div>
<a name="methodStartDocument" id="StartDocument"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">StartDocument</span> (line <span class="line-number">260</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Start a new document in this batch</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			StartDocument
		</span>
					(<span class="var-type"></span>&nbsp;<span class="var-name">$docrec</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type"></span>
				<span class="var-name">$docrec</span>			</li>
				</ul>
		
			
	</div>
<a name="methodSuccessful" id="Successful"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<img src="../../media/images/Method.png" />
		<span class="method-title">Successful</span> (line <span class="line-number">99</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Access the batch status</p>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			Successful
		</span>
				()
			</div>
	
		
			
	</div>
						
		</div>
	</div>

	
	<p class="notes" id="credit">
		Documentation generated on Fri, 24 Dec 2010 22:48:17 +1300 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.4.3</a>
	</p>
	</div></body>
</html>